lp:~gnome3-team/gnome-control-center/ubuntu

Created by Robert Ancell on 2010-12-15 and last modified on 2013-06-14
Get this branch:
bzr branch lp:~gnome3-team/gnome-control-center/ubuntu
Members of GNOME3 Team can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
GNOME3 Team
Project:
gnome-control-center
Status:
Development

Recent revisions

574. By Tim Lunn on 2013-06-14

[ Tim Lunn ]
* debian/patches/ubuntu-external-panels.patch:
  - Make desktop launchers Unity only
  - Add support for unity-*-panel.desktop files
  - drop -ccpanel hack

573. By Jeremy Bicha on 2013-06-12

* debian/patches/63_disable_file_sharing.patch:
  - Disable Personal File Sharing feature since gnome-user-share
    on Ubuntu doesn't support it

572. By Jeremy Bicha on 2013-06-12

check for org.gnome.Magnifier since Unity also registers org.gnome.Shell
thanks darkxst for the suggestion!

571. By Jeremy Bicha on 2013-06-12

* debian/patches/revert_git_dont_hide_zoom.patch:
  - Only show zoom settings on GNOME Shell since neither Metacity
    nor Unity supports them.
  - Prevents deactivating the only admin account (LP: #907452)

570. By Jeremy Bicha on 2013-06-10

Merge everything from the GNOME3 Staging PPA/Raring...
* Don't hide the Region panel in Unity
* New upstream release
* debian/control.in: bump min dep on g-s-d
* debian/patches/55_user_accounts_hide_controls.patch: Refreshed
* debian/patches/ubuntu-external-panels.patch:
  - Update whitelist for external launchers
* debian/patches:
  - 99_add_lock-on-suspend.patch, Rebased for 3.8
  - revert_git_info_packagekit_api.patch, revert api changes for packagekit 0.8+
  - ubuntu_region_packagekit.patch, ubuntu_region_install_dialog.patch:
    + Add packagekit intergration and a new dialog for installation of lang packs
    from the upstream region capplet. For now there is no way to uninstall packs.
* debian/control.in
  - Bump build-dep on gnome-deskop3 for api required by language installer.
* New upstream release
* debian/libgnome-control-center1.symbols: Add a few new symbols
* debian/patches:
  - revert_git_drop_library.patch: Refreshed
  - ubuntu-external-panels.patch: reimplements support for external panels
  - ubuntu_hide_gnome_panels_unity.patch
  - credentials.patch: Dropped, no longer needed.
  - unity_background_is_appearance.patch: Dropped, no longer needed.
* Use logind instead of consolekit
  - Add build-dep on libsystemd-login-dev
* debian/patches/52_region_language.patch
  - Updated to fix language selection in user panel.
* New upstream release.
* Merge with Ubuntu Raring
* debian/control.in:
  - Bump minimum gnome-online-accounts
  - Don't build-depend on libnotify
* debian/patches/92_ubuntu_system_proxy.patch: Refreshed
* debian/patches/52_region_language.patch:
  - Ported to 3.8, some bits moved into gnome-desktop.
* New upstream release.
* Merge with Ubuntu Raring
* debian/patches/52_region_language.patch:
  - Disabled since it doesn't apply cleanly
* Refreshed patches:
  - 55_user_accounts_hide_controls.patch
  - 91_unity_no_printing_panel.patch:
  - unity_background_is_appearance.patch
  - unity_notice_info.patch
* debian/gnome-control-center.install
  - Actually install the settings search provider
* debian/control.in:
  - Build-depend on libsmbclient-dev, needed for Printers panel
* New upstream release.
* debian/control.in:
  - Bump minimum gnome-online-accounts
* debian/patches/dont_download_local_image.patch: Refreshed
* debian/patches/revert-nm-dependency.patch:
  - Dropped, new network-manager is in raring
* debian/patches/revert-colord-dependency.patch:
  - Dropped, new colord is in raring
[ Jeremy Bicha ]
* New upstream alpha release.
  - Note that external settings panels aren't working yet!
* debian/control.in:
  - Bump minimum dependencies for glib, gnome-desktop3, gnome-icon-theme,
    gnome-settings-daemon, gsettings-desktop-schemas, gtk3, libcolord
    NetworkManager, and libwacom
  - Explicitly build-depend on accountsservice >= 0.6.30
    and libcolord-gtk
  - Drop mesa-utils dependency, build-depend on libgl1-mesa-dev
* debian/gnome-control-center-data.install:
  - Don't install no longer provided files
  - Install bash completion
* Refresh patches
* Drop patches:
  - 12_add_never_turn_screen_off.patch: Applied in new version
  - 58_hide_gdm_notifications.patch: Obsolete
  - 90_force_fallback.patch.patch: Obsolete
  - classic_use_sound_indicator.patch: Obsolete
  - git_set_a11y_wm_theme.patch: Applied in new version
  - git_no_glxinfo.patch: Applied in new version
  - accounts_fix_unsetting_icon.patch: Applied in new version
* Disable patches that need more work:
  - 10_keyboard_layout_on_unity.patch: crashes
  - 52_ubuntu_language_list_mods.patch
  - 59_install_gcm_components_on_demand.patch
  - 60_ubuntu_nav_bar.patch: Obsolete?
  - 99_add_lock-on-suspend.patch
  - revert_new_ibus_keyboard_use.patch
  - revert_git_drop_library.patch
  - sound_nua_panel.patch
* Disable 11_power-configure_lid_action.patch since the gsd patch needs
  more work
* Add patches to enable building with current dependencies:
  - debian/patches/revert-colord-dependency.patch
  - debian/patches/revert-nm-dependency.patch
* Temporarily disabled a few more patches:
  - 51_unity_options_in_display_panel.patch
  - 56_use_ubuntu_info_branding.patch
[ Rico Tzschichholz ]
* credentials_panel.patch:
  - UOA panel based on gnome-control-center-signon 0.1.2bzr12.12.05
* debian/control.in:
  - Add build-deps on libaccount-plugin-1.0-dev, valac-0.18, and
    libaccounts-glib-dev
* debian/patches/92_ubuntu_system_proxy.patch:
  - restore the "set system proxy" patch that got commented earlier in
    feature to work without crashing (LP: #1163674)
* debian/control.in,
* debian/control.in: updated the gnome-settings-daemon requirement and stop
    has improved this cycle but is still lacking features (like printer
* debian/searchingthedashlegalnotice.html,

569. By Jeremy Bicha on 2013-05-28

releasing version 1:3.6.3-0ubuntu27

568. By Martin Pitt on 2013-05-27

releasing version 1:3.6.3-0ubuntu26

567. By Martin Pitt on 2013-05-27

debian/patches/git_no_glxinfo.patch:
updated to fix details panel crash on vbox glx driver (LP: #1179659)

566. By Martin Pitt on 2013-04-29

releasing version 1:3.6.3-0ubuntu25

565. By Martin Pitt on 2013-04-29

Switch to logind for session tracking.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:gnome-control-center
This branch contains Public information 
Everyone can see this information.

Subscribers